/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef MvKeyManager_H
#define MvKeyManager_H

#include <iostream>
#include <map>
#include <vector>
#include <list>

using namespace std;

class MvKeyProfile;

class MvKeyManager : public vector<MvKeyProfile*>
{
public:
	MvKeyManager(string fprof) : fprof_(fprof) {};
	~MvKeyManager();
	MvKeyProfile* addProfile(string);
	void deleteProfile(int);
	void loadProfiles();
	void saveProfiles();
	void clear();		

private:
	string fprof_;

};

#endif 
